Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::RotationConstantInterpolator Class Reference

回転定数補間 More...

`#include <RotationConstantInterpolator.h>`

Inheritance diagram for Lamp::RotationConstantInterpolator:

List of all members.

## Public Member Functions
| RotationConstantInterpolator ()
| コンストラクタ
virtual | ~RotationConstantInterpolator ()
| デストラクタ
virtual RotationInterpolator * | duplicate () const
| 複製
virtual bool | equals (const RotationInterpolator &target) const
| 同じ値かどうか
virtual void | setLength (float length)
| 長さの設定
virtual float | getLength () const
| 長さの取得
virtual bool | isEulerInterpolator () const
| オイラー補間かどうか
virtual Vector3 | eulerInterpolate (float time)
| オイラー補間
virtual bool | isQuaternionInterpolator () const
| 四元数補間かどうか
virtual Quaternion | quaternionInterpolate (float time)
| 四元数補間
virtual void | setEuler (const Vector3 &euler)
| XYZ回転の設定.
virtual Vector3 | getEuler ()
| XYZ回転の取得.
virtual void | setQuaternion (const Quaternion &quaternion)
| 四元数回転の設定
virtual Quaternion | getQuaternion ()
| 四元数回転の取得
virtual bool | isRotationConstantInterpolator () const
| 回転定数補間かどうか

## Detailed Description

回転定数補間

Definition at line 36 of file RotationConstantInterpolator.h.

## Member Function Documentation

virtual RotationInterpolator* Lamp::RotationConstantInterpolator::duplicate | ( |  | ) | const`[inline, virtual]`

| 複製 Returns: 複製された回転補間。呼び出し元でdeleteする必要がある Implements Lamp::RotationInterpolator. Definition at line 55 of file RotationConstantInterpolator.h. References RotationConstantInterpolator().

virtual bool Lamp::RotationConstantInterpolator::equals | ( | const RotationInterpolator & | target | ) | const`[inline, virtual]`

  | 同じ値かどうか Parameters:
  target | 比較対象
Returns: 同じ値ならtrueをかえす Implements Lamp::RotationInterpolator. Definition at line 66 of file RotationConstantInterpolator.h. References Lamp::RotationInterpolator::castRotationConstantInterpolator(), euler_, length_, NULL, and quaternion_.

virtual Vector3 Lamp::RotationConstantInterpolator::eulerInterpolate | ( | float | time | ) | `[inline, virtual]`

  | オイラー補間 Parameters:
  time | 時間
Returns: 補間された回転 Implements Lamp::RotationInterpolator. Definition at line 107 of file RotationConstantInterpolator.h.

virtual Vector3 Lamp::RotationConstantInterpolator::getEuler | ( |  | ) | `[inline, virtual]`

| XYZ回転の取得. Returns: 取得したXYZ回転 Definition at line 141 of file RotationConstantInterpolator.h.

virtual float Lamp::RotationConstantInterpolator::getLength | ( |  | ) | const`[inline, virtual]`

| 長さの取得 Returns: 長さ Implements Lamp::RotationInterpolator. Definition at line 91 of file RotationConstantInterpolator.h. Referenced by Lamp::TextAnimationSaver::writeRotationConstantInterpolator(), and Lamp::BinaryAnimationSaver::writeRotationConstantInterpolator().

virtual Quaternion Lamp::RotationConstantInterpolator::getQuaternion | ( |  | ) | `[inline, virtual]`

| 四元数回転の取得 Returns: 取得した四元数回転 Definition at line 157 of file RotationConstantInterpolator.h. Referenced by Lamp::TextAnimationSaver::writeRotationConstantInterpolator(), and Lamp::BinaryAnimationSaver::writeRotationConstantInterpolator().

virtual bool Lamp::RotationConstantInterpolator::isEulerInterpolator | ( |  | ) | const`[inline, virtual]`

| オイラー補間かどうか Returns: オイラー補間ならtrue Implements Lamp::RotationInterpolator. Definition at line 100 of file RotationConstantInterpolator.h.

virtual bool Lamp::RotationConstantInterpolator::isQuaternionInterpolator | ( |  | ) | const`[inline, virtual]`

| 四元数補間かどうか Returns: 四元数補間ならtrue Implements Lamp::RotationInterpolator. Definition at line 116 of file RotationConstantInterpolator.h.

virtual bool Lamp::RotationConstantInterpolator::isRotationConstantInterpolator | ( |  | ) | const`[inline, virtual]`

| 回転定数補間かどうか Returns: 回転定数補間ならtrue Reimplemented from Lamp::RotationInterpolator. Definition at line 166 of file RotationConstantInterpolator.h.

virtual Quaternion Lamp::RotationConstantInterpolator::quaternionInterpolate | ( | float | time | ) | `[inline, virtual]`

  | 四元数補間 Parameters:
  time | 時間
Returns: 補間された回転 Implements Lamp::RotationInterpolator. Definition at line 123 of file RotationConstantInterpolator.h.

virtual void Lamp::RotationConstantInterpolator::setEuler | ( | const Vector3 & | euler | ) | `[inline, virtual]`

  | XYZ回転の設定. Parameters:
  euler | 設定するXYZ回転
Definition at line 132 of file RotationConstantInterpolator.h. References Lamp::Quaternion::setRotationXYZ(). Referenced by Lamp::TextAnimationLoader::readRotationConstantInterpolator().

virtual void Lamp::RotationConstantInterpolator::setLength | ( | float | length | ) | `[inline, virtual]`

  | 長さの設定 Parameters:
  length | 長さ
Definition at line 82 of file RotationConstantInterpolator.h. References Assert. Referenced by Lamp::RotationInterpolationCompressor::compressConstant(), Lamp::TextAnimationLoader::readRotationConstantInterpolator(), and Lamp::BinaryAnimationLoader::readRotationConstantInterpolator().

virtual void Lamp::RotationConstantInterpolator::setQuaternion | ( | const Quaternion & | quaternion | ) | `[inline, virtual]`

  | 四元数回転の設定 Parameters:
  quaternion | 設定する四元数回転
Definition at line 148 of file RotationConstantInterpolator.h. References Lamp::Quaternion::getRotationXYZ(). Referenced by Lamp::RotationInterpolationCompressor::compressConstant(), Lamp::TextAnimationLoader::readRotationConstantInterpolator(), and Lamp::BinaryAnimationLoader::readRotationConstantInterpolator().

The documentation for this class was generated from the following file:

- RotationConstantInterpolator.h